## org.apache.fop.dom.svg
Class SVGLengthImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGLengthImpl

public class SVGLengthImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGLength

a length quantity in SVG

Field Summary
`protected float` `fontsize`
`protected float` `millipoints`

Fields inherited from interface org.w3c.dom.svg.SVGLength
`SVG_LENGTHTYPE_CM, SVG_LENGTHTYPE_EMS, SVG_LENGTHTYPE_EXS, SVG_LENGTHTYPE_IN, SVG_LENGTHTYPE_MM, SVG_LENGTHTYPE_NUMBER, SVG_LENGTHTYPE_PC, SVG_LENGTHTYPE_PERCENTAGE, SVG_LENGTHTYPE_PT, SVG_LENGTHTYPE_PX, SVG_LENGTHTYPE_UNKNOWN`

Constructor Summary
`SVGLengthImpl()`
`SVGLengthImpl(java.lang.String len)` set the length given a particular String specifying length and units

Method Summary
`protected void` `convert(java.lang.String len)`
`void` `convertToSpecifiedUnits(short unitType)`
`float` `getAnimatedValue()`
`protected float` `getFloatValue(java.lang.String len, int l)`
`short` `getUnitType()`
`float` `getValue()`
`java.lang.String` `getValueAsString()`
`float` `getValueInSpecifiedUnits()`
`void` `newValueSpecifiedUnits(short unitType, float valueInSpecifiedUnits)`
`void` `setValue(float value)`
`void` `setValueAsString(java.lang.String valueAsString)`
`void` `setValueInSpecifiedUnits(float valueInSpecifiedUnits)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### millipoints

    protected float millipoints

### fontsize

    protected float fontsize

Constructor Detail

### SVGLengthImpl

    public SVGLengthImpl(java.lang.String len)

  set the length given a particular String specifying length and units

### SVGLengthImpl

    public SVGLengthImpl()

Method Detail

### getUnitType

    public short getUnitType()

  Specified by:
    getUnitType in interface org.w3c.dom.svg.SVGLength

### getValue

    public float getValue()

  Specified by:
    getValue in interface org.w3c.dom.svg.SVGLength

### setValue

    public void setValue(float value)

  Specified by:
    setValue in interface org.w3c.dom.svg.SVGLength

### getValueInSpecifiedUnits

    public float getValueInSpecifiedUnits()

  Specified by:
    getValueInSpecifiedUnits in interface org.w3c.dom.svg.SVGLength

### setValueInSpecifiedUnits

    public void setValueInSpecifiedUnits(float valueInSpecifiedUnits)

  Specified by:
    setValueInSpecifiedUnits in interface org.w3c.dom.svg.SVGLength

### getValueAsString

    public java.lang.String getValueAsString()

  Specified by:
    getValueAsString in interface org.w3c.dom.svg.SVGLength

### setValueAsString

    public void setValueAsString(java.lang.String valueAsString)

  Specified by:
    setValueAsString in interface org.w3c.dom.svg.SVGLength

### getAnimatedValue

    public float getAnimatedValue()

### newValueSpecifiedUnits

    public void newValueSpecifiedUnits(short unitType,
                                       float valueInSpecifiedUnits)
                                throws org.w3c.dom.svg.SVGException

  Specified by:
    newValueSpecifiedUnits in interface org.w3c.dom.svg.SVGLength

### convertToSpecifiedUnits

    public void convertToSpecifiedUnits(short unitType)
                                 throws org.w3c.dom.svg.SVGException

  Specified by:
    convertToSpecifiedUnits in interface org.w3c.dom.svg.SVGLength

### convert

    protected void convert(java.lang.String len)

### getFloatValue

    protected float getFloatValue(java.lang.String len,
                                  int l)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.